Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228432 - No AGP modules in kernel, so no DRI
Summary: No AGP modules in kernel, so no DRI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 04:50 UTC by david.hagood
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 00:15:14 UTC


Attachments (Terms of Use)

Description david.hagood 2007-02-13 04:50:35 UTC
Description of problem:
The Redhat supplied kernels do not come with the AGP modules, so accelerated X
with the Free drivers does not work.

Version-Release number of selected component (if applicable):
(any of the new kernels)

How reproducible:
Every time

Steps to Reproduce:
1. Allow Yum to install a RedHat kernel
2. Boot into that kernel
3. Start X
  
Actual results:
The radeon driver cannot find the AGP modules, so it refuses to load DRI.


Expected results:
The AGP modules should be present.

Additional info:

Comment 1 Dave Jones 2007-02-13 16:17:58 UTC
They're built in to the kernel (non-modular).
Your problem is elsewhere.

(dmesg | grep -i agp will show that they're present)

Make sure you have the 686 kernel installed, and not the i586 one (There was an
anaconda bug in FC6 that installed the wrong arch).  The 586 kernel doesn't have
all the AGP modules (just ones that would appear on 586 platforms).
See http://fedoraproject.org/wiki/Bugs/FC6Common for more info.

Comment 2 david.hagood 2007-02-14 00:15:14 UTC
That was it - wrong sub-arch on the kernel.



Note You need to log in before you can comment on or make changes to this bug.